import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import MlSpaceFullLogoLight from './MlSpaceFullLogoLight';
import MlSpaceFullLogoDark from './MlSpaceFullLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const MlSpaceFullLogoSvg = forwardRef(function MlSpaceFullLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(MlSpaceFullLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(MlSpaceFullLogoLight, Object.assign({}, props, { ref: ref })));
});
export default MlSpaceFullLogoSvg;
